<ion-content>
    <!--
    <pre>{{ formData | json }}</pre>
    -->
    <ion-card>
        <ion-card-content>
            <ion-grid>
                <ion-row>
                    <ion-col  size="6">
                        <div>
                        <b>{{"PLEASE_REGISTER_THE_MIX_TABLE_FIRST" | translate}}</b>
                        </div>
                    </ion-col>
                    <ion-col size="3">
                        <div>
                        <b>{{"MASS" | translate}}</b>
                        </div>
                    </ion-col>
                    <ion-col size="3">
                        <div>
                        <b>{{"DENSITY" | translate}}</b>
                        </div>
                    </ion-col>
                </ion-row>
    
                <ion-row>
                    <ion-col>
                        {{"WATER" | translate}}
                    </ion-col>
                    <ion-col>
                        (W1)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.w1_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.w1_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        (W2)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.w2_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.w2_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        <div>
                        (W3)
                        </div>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.w3_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.w3_density }}</ion-label>
                    </ion-col>
                </ion-row>
    
                <ion-row>
                    <ion-col>
                        {{"CEMENT" | translate}}
                    </ion-col>
                    <ion-col>
                        (C1)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.c1_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.c1_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        (C2)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.c2_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.c2_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        <div>
                        (C3)
                        </div>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.c3_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.c3_density }}</ion-label>
                    </ion-col>
                </ion-row>
    
                <ion-row>
                    <ion-col>
                        광물질
                    </ion-col>
                    <ion-col>
                        (m.ad1)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.mad1_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.mad1_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                        혼화제
                    </ion-col>
                    <ion-col>
                        (m.ad2)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.mad2_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.mad2_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        <div>
                        (m.ad3)
                        </div>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.mad3_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.mad3_density }}</ion-label>
                    </ion-col>
                </ion-row>
    
                <ion-row>
                    <ion-col>
                        {{"FINE_AGGREGATE" | translate}}
                    </ion-col>
                    <ion-col>
                        (S1)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.s1_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.s1_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        (S2)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.s2_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.s2_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        (S3)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.s3_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.s3_density }}</ion-label>
                    </ion-col>
                </ion-row>
    
                <ion-row>
                    <ion-col>
                        {{"COARSE_AGGREGATE" | translate}}
                    </ion-col>
                    <ion-col>
                        (G1)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.g1_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.g1_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        (G2)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.g2_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.g2_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        (G3)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.g3_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.g3_density }}</ion-label>
                    </ion-col>
                </ion-row>
    
                <ion-row>
                    <ion-col>
                        {{"ADMIXTURE" | translate}}
                    </ion-col>
                    <ion-col>
                        (AD1)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.ad1_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.ad1_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        (AD2)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.ad2_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.ad2_density }}</ion-label>
                    </ion-col>
                    </ion-row>
                    <ion-row>
                    <ion-col>
                    </ion-col>
                    <ion-col>
                        (AD3)
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.ad3_unit }}</ion-label>
                    </ion-col>
                    <ion-col>
                        <ion-label>{{ formData.ad3_density }}</ion-label>
                    </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col>{{"DESIGNED_AIR_CONTENT" | translate}}</ion-col>
                    <ion-col>
                        {{ formData.air }}
                    </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col>{{"AGGREGATE_CORRECTION_FACTOR" | translate}}</ion-col>
                    <ion-col>
                        {{ formData.aggregate }}
                    </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col>{{"DESIGN_VOLUME" | translate}}</ion-col>
                    <ion-col>
                        {{ (volume/1000).toFixed(3) }}                        
                    </ion-col>
                </ion-row>
                <ion-row>
                    <ion-col>시멘트 습윤밀도</ion-col>
                    <ion-col>
                        {{ formData.wet }}
                    </ion-col>
                </ion-row>
            </ion-grid>
        </ion-card-content>
    </ion-card>

    <ion-item lines="none">
        <ion-button slot="start" size="medium" shape="round" (click)="goToPrevious()">
            <ion-icon name="arrow-round-back"></ion-icon>
            {{"PREV" | translate}}
        </ion-button>
        <ion-button color="slackSub" slot="end" size="medium" shape="round" (click)="checkConfirm()">
            <ion-icon name="send"></ion-icon>
            {{"SUBMIT" | translate}}
        </ion-button>
    </ion-item>
</ion-content>
